Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 200929 - Add -I${includedir}/embed_base to firefox-xpcom.pc
Summary: Add -I${includedir}/embed_base to firefox-xpcom.pc
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target 200850
TreeView+ depends on / blocked
 
Reported: 2006-08-01 17:10 UTC by Andrew Overholt
Modified: 2013-01-10 04:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-11 17:38:57 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2006-08-01 17:10:46 UTC
Description of problem:
SWT needs nsEmbedAPI.h to be in the compiler's -I flags for building its mozilla
bindings.  If I hack firefox-xpcom.pc to include it, the build proceeds as
expected.  As this file is in embed_base, can it be added to firefox-xpcom.pc?

Version-Release number of selected component (if applicable):
firefox-1.5.0.5-8

Comment 1 Jesse Keating 2006-09-10 15:14:02 UTC
Whats the status here?  This is blocking the eclipse bug, that we'd like to get
fixed for Test3...  

Comment 2 Ben Konrath 2006-09-10 15:25:45 UTC
(In reply to comment #1)
> Whats the status here?  This is blocking the eclipse bug, that we'd like to get
> fixed for Test3...  

No, we have a workaround in place for this. It would still be nice to get this
fixe, but it's not critical for Test3.

3.2.0-5 has a fix for bug # 201778 and it's building now.

Comment 4 Christopher Aillon 2006-09-11 17:38:57 UTC
nsEmbedAPI.h is not part of the Gecko SDK.  It shouldn't have been available
before.  Use nsXPCOM.h for the stuff you need.  See also bug 201778 comment 6.

Comment 5 Ben Konrath 2006-09-19 13:03:36 UTC
(In reply to comment #4)
> nsEmbedAPI.h is not part of the Gecko SDK.  It shouldn't have been available
> before.  Use nsXPCOM.h for the stuff you need.  See also bug 201778 comment 6.

I had planned to keep both the NS_InitXPCOM3 and the NS_InitEmbedding in SWT so
we still needed this. Looking into the situation again, I think it's best to
remove the NS_InitEmbedding entirely as you suggest. Our latest package,
eclipse-1:3.2.0-6.fc6, does not use nsEmbedAPI.h. Thanks.


Note You need to log in before you can comment on or make changes to this bug.